Subject: Should I buy Zoyzia Grass?

From: [email-masked]
Date: Thu, 23 Mar 95 09:46:09 PDT

I just moved to mid-Michigan and my lawn is very thin. The soil is
sorta swampy with alot of sand.
I got an advert with the paper about AMAZOY Zoysia Grass. They say
it is Meyer Z-52 Zoysia Grass perfected by US Gov.
I'd like to believe the claims.
1. grows in terrible soils (including sandy).
2. chokes out crabgrass
3. end reseeding because it spreads

Anyone with experience with this grass? I don't want to waste my time
and money? Thanks in advance!!
Bill Clark
[email-masked]